summaryrefslogtreecommitdiffstats
path: root/trinity-apps/kugar/kugar-14.1.2.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'trinity-apps/kugar/kugar-14.1.2.ebuild')
-rw-r--r--trinity-apps/kugar/kugar-14.1.2.ebuild88
1 files changed, 88 insertions, 0 deletions
diff --git a/trinity-apps/kugar/kugar-14.1.2.ebuild b/trinity-apps/kugar/kugar-14.1.2.ebuild
new file mode 100644
index 00000000..dfb6be8c
--- /dev/null
+++ b/trinity-apps/kugar/kugar-14.1.2.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2024 Gentoo Authors
+# Copyright 2022-2024 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+TRINITY_MODULE_NAME="koffice"
+TRINITY_MODULE_TYPE="applications/office"
+TRINITY_BUILD_ADMIN="yes"
+TRINITY_SUBMODULE="kugar filters/kugar"
+TSM_EXTRACT_ALSO="lib interfaces doc"
+
+inherit flag-o-matic trinity-meta-2
+
+DESCRIPTION="KOffice report viewer and generator for TDE [Trinity]"
+HOMEPAGE="http://trinitydesktop.org/"
+
+SLOT="14"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+IUSE="+handbook"
+
+DEPEND="
+ ~trinity-apps/koffice-libs-${PV}
+"
+
+RDEPEND="${DEPEND}
+ handbook? ( ~trinity-base/khelpcenter-${PV}
+ app-text/doxygen )"
+
+KMCOPYLIB="
+ libkformula lib/kformula
+ libkofficecore lib/kofficecore
+ libkofficeui lib/kofficeui
+ libkopainter lib/kopainter
+ libkoproperty lib/koproperty
+ libkotext lib/kotext
+ libkwmf lib/kwmf
+ libkowmf lib/kwmf
+ libkstore lib/store"
+
+src_prepare() {
+ local search_path="${TDEDIR}/${get_libdir}"
+ local libname dirname dirlist x
+ libname=""
+ for x in $KMCOPYLIB; do
+ if [ "${libname}" == "" ] ; then
+ libname="${x}"
+ else
+ dirname=$x
+ mkdir -p ${dirname}
+ pushd ${dirname}
+ if [ ! "$(find ${search_path} -maxdepth 1 -name ${libname}*) 2>/dev/null" == "" ]; then
+ ln -s ${TDEDIR}/$(get_libdir)/${libname}* .
+ dirlist="${dirlist} ${dirname/lib\/}"
+ fi
+ popd
+ libname=""
+ fi
+ done
+ if use handbook ; then
+ echo -e "KDE_LANG = en\nSUBDIRS = ${PN}" >"${S}/doc/Makefile.am" || die
+ fi
+
+ echo "SUBDIRS=$dirlist" > "${S}/lib/Makefile.am"
+ echo "SUBDIRS= kugar" > "${S}/filters/Makefile.am"
+
+ trinity-meta-2_src_prepare
+
+ echo 'all:' > "${S}/Makefile.am"
+ echo 'install:' >> "${S}/Makefile.am"
+ echo '.PHONY: all' >> "${S}/Makefile.am"
+}
+
+src_configure() {
+ append-cxxflags "-std=c++11"
+ trinity-meta-2_src_configure
+}
+
+src_install() {
+ trinity-meta-2_src_install
+ if use handbook ; then
+ pushd "${S}/doc" || die
+ emake install DESTDIR="${D}"
+ popd
+ fi
+}